List canonical Node runtime state
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/servers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/servers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/servers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/servers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"node_id": "<string>",
"name": "<string>",
"lifecycle": {
"state": "planned",
"desired_state": "running",
"ended_at": "2023-11-07T05:31:56Z"
},
"connection": {
"state": "pending",
"changed_at": "2023-11-07T05:31:56Z",
"reason_code": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"staleness_seconds": 1
},
"health": {
"state": "unknown",
"observed_at": "2023-11-07T05:31:56Z"
},
"channels": [
{
"type": "grpc-mtls",
"role": "primary",
"state": "<string>",
"endpoint_ref": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"inventory_revision": 1,
"provider": {
"lease_id": "<string>",
"ref": "<string>"
},
"mutations_allowed": true,
"allowed_actions": [
"connect"
],
"stack_actions": [
"plan"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"kit_deployment_id": "<string>",
"worker_id": "<string>",
"environment_class": "local",
"offering": "self_owned_device",
"provider_id": "<string>",
"provider_target_ref": "<string>",
"availability_owner": "customer",
"operations_owner": "customer",
"target_evidence": {
"freshness": {
"state": "recorded",
"age_seconds": 1
},
"ref": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
},
"reach": {
"state": "not_enrolled",
"kombify_me": {
"state": "pending",
"address": "<string>",
"node_id": "<string>",
"reason_code": "<string>"
},
"connect": {
"state": "pending",
"address": "<string>",
"node_id": "<string>",
"reason_code": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"generation": 123,
"public": {
"enabled": true,
"service": "<string>",
"scheme": "http",
"target_port": 32768,
"enabled_by": "<string>",
"enabled_at": "2023-11-07T05:31:56Z"
},
"relay": {
"state": "connecting",
"reason_code": "<string>",
"reported_at": "2023-11-07T05:31:56Z"
}
},
"security": {
"state": "compliant",
"findings": [
{
"control": "firewall.default_inbound",
"state": "drifted",
"severity": "critical",
"expected": "<string>",
"observed": "<string>",
"remediation": {
"capability": "automatic",
"action": "<string>"
},
"reason_code": "<string>",
"exception": {
"owner": "<string>",
"reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"reason_code": "<string>",
"baseline_version": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"recovery": {
"backup": {
"state": "fresh",
"policy_max_age": "<string>",
"reason_code": "<string>",
"last_snapshot_at": "2023-11-07T05:31:56Z"
},
"restore_drill": {
"state": "verified",
"policy_max_age": "<string>",
"reason_code": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
}
},
"updates": {
"guard": {
"signed": true,
"state": "current",
"version": "<string>"
},
"os": {
"pending_security_updates": 1,
"reboot_required": true,
"last_unattended_run": "2023-11-07T05:31:56Z"
}
},
"capabilities": {
"identity_binding": "key_bound",
"credential_generation": 1,
"identity_upgrade": {
"required": true,
"code": "guard_identity_upgrade_required"
},
"guard_operations": {
"contract": "<string>",
"durable": true,
"unresolved_outcome_unknown": 1,
"unacked_results": 1,
"in_flight": 1,
"state": "<string>",
"journal_bytes": 123,
"journal_budget_bytes": 123,
"reason": "<string>"
},
"guard_posture": {
"mode": "split",
"reported": true,
"deny_mutations": true,
"update_state": "<string>",
"update_version": "<string>",
"update_reason": "<string>"
}
}
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Servers
List canonical Node runtime state
Returns owner-scoped Nodes with canonical node_id and
kit_deployment_id identities.
GET
/
api
/
v1
/
servers
List canonical Node runtime state
curl --request GET \
--url https://api.kombify.io/v1/techstack/api/v1/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/techstack/api/v1/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/servers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/servers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/techstack/api/v1/servers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/servers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"node_id": "<string>",
"name": "<string>",
"lifecycle": {
"state": "planned",
"desired_state": "running",
"ended_at": "2023-11-07T05:31:56Z"
},
"connection": {
"state": "pending",
"changed_at": "2023-11-07T05:31:56Z",
"reason_code": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"staleness_seconds": 1
},
"health": {
"state": "unknown",
"observed_at": "2023-11-07T05:31:56Z"
},
"channels": [
{
"type": "grpc-mtls",
"role": "primary",
"state": "<string>",
"endpoint_ref": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"inventory_revision": 1,
"provider": {
"lease_id": "<string>",
"ref": "<string>"
},
"mutations_allowed": true,
"allowed_actions": [
"connect"
],
"stack_actions": [
"plan"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"kit_deployment_id": "<string>",
"worker_id": "<string>",
"environment_class": "local",
"offering": "self_owned_device",
"provider_id": "<string>",
"provider_target_ref": "<string>",
"availability_owner": "customer",
"operations_owner": "customer",
"target_evidence": {
"freshness": {
"state": "recorded",
"age_seconds": 1
},
"ref": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
},
"reach": {
"state": "not_enrolled",
"kombify_me": {
"state": "pending",
"address": "<string>",
"node_id": "<string>",
"reason_code": "<string>"
},
"connect": {
"state": "pending",
"address": "<string>",
"node_id": "<string>",
"reason_code": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"generation": 123,
"public": {
"enabled": true,
"service": "<string>",
"scheme": "http",
"target_port": 32768,
"enabled_by": "<string>",
"enabled_at": "2023-11-07T05:31:56Z"
},
"relay": {
"state": "connecting",
"reason_code": "<string>",
"reported_at": "2023-11-07T05:31:56Z"
}
},
"security": {
"state": "compliant",
"findings": [
{
"control": "firewall.default_inbound",
"state": "drifted",
"severity": "critical",
"expected": "<string>",
"observed": "<string>",
"remediation": {
"capability": "automatic",
"action": "<string>"
},
"reason_code": "<string>",
"exception": {
"owner": "<string>",
"reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"reason_code": "<string>",
"baseline_version": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"recovery": {
"backup": {
"state": "fresh",
"policy_max_age": "<string>",
"reason_code": "<string>",
"last_snapshot_at": "2023-11-07T05:31:56Z"
},
"restore_drill": {
"state": "verified",
"policy_max_age": "<string>",
"reason_code": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
}
},
"updates": {
"guard": {
"signed": true,
"state": "current",
"version": "<string>"
},
"os": {
"pending_security_updates": 1,
"reboot_required": true,
"last_unattended_run": "2023-11-07T05:31:56Z"
}
},
"capabilities": {
"identity_binding": "key_bound",
"credential_generation": 1,
"identity_upgrade": {
"required": true,
"code": "guard_identity_upgrade_required"
},
"guard_operations": {
"contract": "<string>",
"durable": true,
"unresolved_outcome_unknown": 1,
"unacked_results": 1,
"in_flight": 1,
"state": "<string>",
"journal_bytes": 123,
"journal_budget_bytes": 123,
"reason": "<string>"
},
"guard_posture": {
"mode": "split",
"reported": true,
"deny_mutations": true,
"update_state": "<string>",
"update_version": "<string>",
"update_reason": "<string>"
}
}
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}प्राधिकरण
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
